#version 330
#extension GL_ARB_separate_shader_objects : require



uniform mat4 g_Local_To_World;
uniform mat4 g_World_To_View;
uniform mat4 g_View_To_Screen;
layout( location = 0 ) in vec3 i_position;
layout( location = 1 ) in vec4 i_color;




layout( location = 0 ) out vec4 o_color;




void main()

{
	{
		vec4 position_world = vec4( i_position, 1.0 ) * g_Local_To_World;
		vec4 position_view = position_world * g_World_To_View;
		gl_Position = position_view * g_View_To_Screen;
	}

	{
		o_color = i_color;
	}
}
